package de.ivu.elect.presentation.wahlvorschlagsperson.exchange;

import de.ivu.elect.business.exchange.entity.DateiExportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.wahlvorschlag.menu.WahlvorschlagPageMenu;

public class WahlvorschlagsPersonExportDescription implements ExportDescription {
  private static final long serialVersionUID = 1L;

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.WAHLVORSCHLAGS_PERSON_EXPORTIEREN;
  }

  @Override
  public String getPageMenuComponentName() {
    return WahlvorschlagPageMenu.COMPONENT_NAME;
  }

  @Override
  public boolean isSpecificPerWahl() {
    return true;
  }

  @Override
  public boolean isSpecificPerWahltermin() {
    return false;
  }

  @Override
  public DateiExportArt getDateiExportArt() {
    return DateiExportArt.WAHLVORSCHLAGS_PERSON_EXPORT;
  }

  @Override
  public String getExportSearchViewId() {
    return WahlvorschlagsPersonExportView.VIEW_ID;
  }
}
